Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.messaging
Class ProviderConnectionFactory

    java.lang.Object
      javax.xml.messaging.ProviderConnectionFactory

    public abstract class ProviderConnectionFactory

extends Object

A factory for creating connections to a particular messaging provider. A `ProviderConnectionFactory` object can be obtained in two different ways.

- Call the `ProviderConnectionFactory.newInstance` method to get an instance of the default `ProviderConnectionFactory` object.
  This instance can be used to create a `ProviderConnection` object that connects to the default provider implementation.

            ProviderConnectionFactory pcf = ProviderConnectionFactory.newInstance();
            ProviderConnection con = pcf.createConnection();

- Retrieve a `ProviderConnectionFactory` object that has been registered with a naming service based on Java Naming and Directory InterfaceTM (JNDI) technology.
  In this case, the `ProviderConnectionFactory` object is an administered object that was created by a container (a servlet or Enterprise JavaBeansTM container). The `ProviderConnectionFactory` object was configured in an implementation- specific way, and the connections it creates will be to the specified messaging provider.

  Registering a `ProviderConnectionFactory` object with a JNDI naming service associates it with a logical name. When an application wants to establish a connection with the provider associated with that `ProviderConnectionFactory` object, it does a lookup, providing the logical name. The application can then use the `ProviderConnectionFactory` object that is returned to create a connection to the messaging provider. The first two lines of the following code fragment use JNDI methods to retrieve a `ProviderConnectionFactory` object. The third line uses the returned object to create a connection to the JAXM provider that was registered with "ProviderXYZ" as its logical name.

            Context ctx = new InitialContext();
            ProviderConnectionFactory pcf = (ProviderConnectionFactory)ctx.lookup(
                                                                       "ProviderXYZ");
            ProviderConnection con = pcf.createConnection();

Constructor Summary
`ProviderConnectionFactory()`

Method Summary
`abstract ProviderConnection` | `createConnection()` Creates a `ProviderConnection` object to the messaging provider that is associated with this `ProviderConnectionFactory` object.
`static ProviderConnectionFactory` | `newInstance()` Creates a default `ProviderConnectionFactory` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderConnectionFactory

    public ProviderConnectionFactory()

Method Detail

### createConnection

    public abstract ProviderConnection createConnection()
                                                 throws JAXMException

  Creates a `ProviderConnection` object to the messaging provider that is associated with this `ProviderConnectionFactory` object.

  Returns:
    a `ProviderConnection` object that represents a connection to the provider associated with this `ProviderConnectionFactory` object
  Throws:
    `JAXMException` - if there is an error in creating the connection

### newInstance

    public static ProviderConnectionFactory newInstance()
                                                 throws JAXMException

  Creates a default `ProviderConnectionFactory` object.

  Returns:
    a new instance of a `ProviderConnectionFactory`
  Throws:
    `JAXMException` - if there was an error creating the default `ProviderConnectionFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.